Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.handlers
Class AbstractHandler

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler

All Implemented Interfaces:
  Handler

Direct Known Subclasses:
  AbstractDispatcher, AbstractOperationDispatcher, AbstractServiceDispatcher, AbstractTemplatedHandler, InstanceDispatcher, RequestBlockingHandler

    public abstract class AbstractHandler

extends java.lang.Object
implements Handler

Class AbstractHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary
`protected HandlerDescription` | `handlerDesc` Field handlerDesc

Constructor Summary
`AbstractHandler()` Constructor AbstractHandler.

Method Summary
`void` | `cleanup()` Since this might change the whole behavior of Axis2 handlers, and since this is still under discussion (http://marc.theaimsgroup.com/?l=axis-dev&m=114504084929285&w=2) implementation of this method is deferred.
`void` | `flowComplete(MessageContext msgContext)` This method will be called on each registered handler that had its invoke(...) method called during the processing of the message, once the message processing has completed.
`HandlerDescription` | `getHandlerDesc()` Gets the phaseRule of a handler.
`java.lang.String` | `getName()` Method getName.
`Parameter` | `getParameter(java.lang.String name)` Method getParameter.
`void` | `init(HandlerDescription handlerdesc)` Method init.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.axis2.engine.Handler
`invoke`

Field Detail

### handlerDesc

    protected HandlerDescription handlerDesc

  Field handlerDesc

Constructor Detail

### AbstractHandler

    public AbstractHandler()

  Constructor AbstractHandler.

Method Detail

### cleanup

    public void cleanup()

  Since this might change the whole behavior of Axis2 handlers, and since this is still under discussion (http://marc.theaimsgroup.com/?l=axis-dev&m=114504084929285&w=2) implementation of this method is deferred. Note : This method will not be automatically called, from Axis2 engine, until this is fully implemented.

  Specified by:
    `cleanup` in interface `Handler`

### init

    public void init(HandlerDescription handlerdesc)

  Method init.

  Specified by:
    `init` in interface `Handler`
  Parameters:
    `handlerdesc` - the HandlerDescription for this Handler

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getHandlerDesc

    public HandlerDescription getHandlerDesc()

  Gets the phaseRule of a handler.

  Specified by:
    `getHandlerDesc` in interface `Handler`
  Returns:
    Returns HandlerDescription.

### getName

    public java.lang.String getName()

  Method getName.

  Specified by:
    `getName` in interface `Handler`
  Returns:
    Returns QName.

### getParameter

    public Parameter getParameter(java.lang.String name)

  Method getParameter.

  Specified by:
    `getParameter` in interface `Handler`
  Parameters:
    `name` - name of the parameter
  Returns:
    Returns Parameter.

### flowComplete

    public void flowComplete(MessageContext msgContext)

  Description copied from interface: `Handler`
  This method will be called on each registered handler that had its invoke(...) method called during the processing of the message, once the message processing has completed. During execution of the flowComplete's, handlers are invoked in the opposite order that they were invoked originally. Note that implementations SHOULD check msgContext.getFailureReason() to see if this is an error or a normal completion.

  Specified by:
    `flowComplete` in interface `Handler`
  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.